curl --request GET \
--url https://api.platform.dakota.xyz/events \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"type": "transaction.auto.updated",
"created": 1735689600,
"api_version": "1.0.0",
"data": {
"object": {
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"auto_account_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPj",
"status": "completed"
}
},
"metadata": {
"source": "platform"
}
}
],
"meta": {
"total_count": 100,
"has_more_after": true,
"has_more_before": false
}
}List events
Returns a paginated event stream for the authenticated client for audit and operational troubleshooting.
customer.kyb_status.updated events may include a reason_code field in data.object when the status change is driven by the Proof-of-Address (PoA) flow:
pending_proof_of_address— emitted on freeze when the customer’s rolling 7-day inbound volume exceeds the PoA-required threshold and no PoA is on file.proof_of_address_rejected— emitted when compliance rejects a submitted PoA document.proof_of_address_approved— emitted when compliance approves a submitted PoA, unfreezing the customer.
Other customer.kyb_status.* events do not include reason_code.
curl --request GET \
--url https://api.platform.dakota.xyz/events \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"type": "transaction.auto.updated",
"created": 1735689600,
"api_version": "1.0.0",
"data": {
"object": {
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"auto_account_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPj",
"status": "completed"
}
},
"metadata": {
"source": "platform"
}
}
],
"meta": {
"total_count": 100,
"has_more_after": true,
"has_more_before": false
}
}Authorizations
Query Parameters
A cursor for use in pagination. starting_after is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include starting_after=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the next page of the list.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
A cursor for use in pagination. ending_before is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include ending_before=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the previous page of the list.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
1 <= x <= 100Was this page helpful?

